Bug 146900 - Improper lock-file cleanup on boot.
Improper lock-file cleanup on boot.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
: 153219 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 12:05 EST by Andrew J. Hutton
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 09:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew J. Hutton 2005-02-02 12:05:38 EST
After an improper shut-down (say power failure) Firefox and Open
Office have orphaned lock-files that in the case of Firefox prevent it
from re-starting even though there is obviously no current instance
running.  This may be a firefox bug as well but since Open Office has
something similar I figured I'd file it here as an init script for
'cleaning up orphan lockfiles' might be a good idea.  A normal user
would have difficulty with this and would end up creating a slew of
new firefox profiles instead of correctly resolving the issue.
Comment 1 Xander D Harkness 2005-04-29 10:25:12 EDT
*** Bug 153219 has been marked as a duplicate of this bug. ***
Comment 2 Dwayne Bailey 2006-04-19 02:18:12 EDT
The same problem applies to Mozilla Thunderbird on a crash, usually a power
failure in my case, Thunderbird leaves a lock file.

I have never experienced this problem with OpenOffice.org

I'm not sure that this needs an init script.  My thoughts are that if we know
when the system was rebooted then if the lock file in these apps is older it is
clearly stale and should be ignored and refreshed with a new lock file.

This still occurs on FC4 - I'll check on FC5 as soon as I've upgraded that
user's computer.
Comment 3 Matthew Miller 2006-07-10 19:18:24 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Martin Stransky 2007-04-13 03:06:39 EDT
Can you please check the latest distro/package? (fc6 & fx-1.5.0.10)
Comment 5 Dwayne Bailey 2007-04-13 06:39:53 EDT
I have not experienced this problem in a long time.  Currently running fc6 with
fx-1.5.0.10, tb and OOo.  So it seems like it has gone away.
Comment 6 Jonathan Andrews 2007-04-13 10:46:50 EDT
This bug is long since fixed in Firefox. I suggest this one is closed now.
Comment 7 Matěj Cepl 2007-07-18 13:23:10 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.